<?php
// Konekcija na bazu
require_once('baza.php');

// Ako je odabran restoran, prikazivanje jelovnika
if(isset($_GET['jelovnik'])){
	$restoranId = $_GET['jelovnik'];

	$sql = "SELECT r.*, j.naziv, j.cena, j.opis FROM jela j LEFT JOIN restorani r ON (r.id = j.restoran_id) WHERE j.restoran_id = $restoranId";

	if ($pretraga = mysqli_query($conn, $sql)) {
		// Ima Rezultata pretrage
		$rezultati = true;
		$tipPretrage = "jelovnik";
	} else {
		// Greska
		echo "Greška: " . mysqli_error($conn);
		$rezultati = false;
	}
}

// Ako je uneta pretraga
if(isset($_POST['pretraga'])){

	$pretraga = $_POST['pretraga'];

	// Nalazenje jela koja imaju zadatu pretragu u nazivu
	$sql = "SELECT r.*, j.naziv, j.cena, j.opis FROM jela j LEFT JOIN restorani r ON (r.id = j.restoran_id) WHERE j.naziv LIKE '%$pretraga%' OR j.opis LIKE '%$pretraga%'";
	
	if ($pretraga = mysqli_query($conn, $sql)) {
		// Ima Rezultata pretrage
		$rezultati = true;
		$tipPretrage = "jela";
	} else {
		// Greska
		echo "Greška: " . mysqli_error($conn);
		$rezultati = false;
	}

}else if(isset($_POST['pretraga-restorana'])){

	$pretraga = $_POST['pretraga-restorana'];

	// Nalazenje jela koja imaju zadatu pretragu u nazivu
	$sql = "SELECT * FROM restorani WHERE ime LIKE '%$pretraga%' OR adresa LIKE '%$pretraga%'";
	
	if ($pretraga = mysqli_query($conn, $sql)) {
		// Ima Rezultata pretrage
		$rezultati = true;
		$tipPretrage = "restorani";
	} else {
		// Greska
		echo "Greška: " . mysqli_error($conn);
		$rezultati = false;
	}
}
?>
<!DOCTYPE html>
<html>
<head>
	<title>Restorani</title>
	<meta charset="utf-8" />
	<link rel="stylesheet" type="text/css" href="css/stil.css" />
</head>

<body>

	<div id="header">
		<h1>Gde na večeru?</h1>
		<span class="slogan">Najbrži način do dobre hrane!</span>
		<h2>Pronađite Restoran po Vašem Ukusu</h2>
	</div>

	<div id="content">

		<div class="form">
			<form method="post" action="index.php" onsubmit="return provera();">
				<input type="text" id="pretraga" name="pretraga" placeholder="Unesite šta vam se jede" />
				<input type="submit" class="submit" value="Pronađi" />
			</form>
			<div class="ili">ili</div>
			<form method="post" action="index.php" onsubmit="return provera_restorana();">
				<input type="text" id="pretraga_restorana" name="pretraga-restorana" placeholder="Unesite ime restorana" />
				<input type="submit" class="submit" value="Pronađi" />
			</form>
		</div>

		<div class="rezultati">
			<?php
			// Ako je uneta pretraga
			if(isset($tipPretrage)){
				if($tipPretrage == "jela"){
					// Izlistavanje svih jela iz baze
					while($row = mysqli_fetch_assoc($pretraga)) {
						?>
			<div class="rezultat">
				<h3><?php echo $row['ime'] ;?></h3>
				<?php echo $row['adresa'];?>
				<h4><?php echo $row['naziv'];?></h4>
				<?php echo  $row['opis']; ?><br/>
				<span class="cena"><?php echo  $row['cena']; ;?> rsd.</span>
			</div>
						<?php
					}
				}else if($tipPretrage == "restorani"){
					// Izlistavanje svih restorana iz baze
					while($row = mysqli_fetch_assoc($pretraga)) {
						?>
			<div class="rezultat">
				<h3><?php echo $row['ime'] ;?></h3>
				<?php echo $row['adresa'];?>
				<a href="index.php?jelovnik=<?php echo $row['id'];?>" class="link">
					Prikaži Jelovnik Restorana
				</a>
			</div>
						<?php
					}
				}else if($tipPretrage == "jelovnik"){
					// Izlistavanje jelovnika restorana iz baze
					while($row = mysqli_fetch_assoc($pretraga)) {
						?>
			<div class="rezultat">
				<h3><?php echo $row['naziv'];?></h3>
				<?php echo  $row['opis']; ?><br/>
				<span class="cena"><?php echo  $row['cena']; ;?> rsd.</span>
			</div>
						<?php
					}
				}
				
			}else{
				// Ako nema rezultata
				echo "Unesite traženi pojam.";
			}
			?>
		</div>

	</div>

	<div id="footer">
		gdenaveceru.com, sva prava zadržana, 2015. Website administrator <a href="mailto:mail@mail.com">Snežana</a>
	</div>

<script type="text/javascript">
function provera(){
	var pretraga = document.getElementById("pretraga");
	if(pretraga.value == ''){
		alert('Unesite');
		return false;
	}else{
		return true;
	}
}

function provera_restorana(){
	var pretraga = document.getElementById("pretraga_restorana");
	if(pretraga.value == ''){
		alert('Unesite');
		return false;
	}else{
		return true;
	}
}
</script>

</body>
</html>